void editor_(int dbg=0)
	{
	char t[80]; //Массив-буффер
	char name[85];
	float cost_ts; //Переменная для новой стоимости
	fout << "\n\n		Коррекция файла\n\n";
	//Открытие файла с данными для поиска и коррекции структур
	fin.open("doedit.dat", ios::in);
	if(!fin)
		{
		pri("Ошибка открытия файла данных для коррекции");
		getch();
		goto ExitEditor;
		}
	while(fin.peek()!=EOF)
		{
		fin.getline(name, 10); filter_(name, dbg);
		fin >> cost_ts;
		fin.getline(t, 80);
		int k=0;
		if(!strcmp(name, ""))
			{
			fout<<"\nНет данных для поиска корректируемой \
			струкруты\n\n";
			continue;
			}
		//Открытие бинарного файла в режиме чтения/записи
		io.open(FileName, ios::in|ios::out|ios::binary);
		if(!io)
			{
			pri("Ошибка открытия файла для его коррекции");
			exit(6);
			}
		//Пока читаются данные - цикл поиска структуры
		while(io.read((char *)&st, z))
			if(!strcmp(st.s_name, name))
				{
				p();
				st.cost_ts=cost_ts;
				p();
				//Указатель записи в файле перемещается на
				//одну структуру назад
				io.seekp(-z, ios::cur);
				//Запись в файл откорректированной структуры
				io.write((char*)&st, z);
				break;
				}
		if(!k) fout << "[Секция "<< name <<" не найдена!]"<<endl;
		io.close();
		}
	ExitEditor:
	fin.close(); io.close();
	}
